Package ghidra.features.base.replace.items

# Class UpdateFieldCommentQuickFix

java.lang.Object
ghidra.features.base.quickfix.QuickFix
ghidra.features.base.replace.items.CompositeFieldQuickFix
ghidra.features.base.replace.items.UpdateFieldCommentQuickFix

public class UpdateFieldCommentQuickFix extends CompositeFieldQuickFix
QuickFix for updating structure or union field comments

- ## Field Summary

  ### Fields inherited from class ghidra.features.base.replace.items.CompositeFieldQuickFix

  `composite`

  ### Fields inherited from class ghidra.features.base.quickfix.QuickFix

  `current, original, program, replacement`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFieldCommentQuickFix(Program program, Composite composite, String fieldName, int ordinal, String original, String newComment)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `doGetCurrent()`
  Returns the current value of the item.
  `void`
  `execute()`
  Executes the action.
  `String`
  `getActionName()`
  Returns the general name of the action to be performed.
  `protected String`
  `getFieldName()`
  `String`
  `getItemType()`
  Returns the type of program element being affected (function, label, comment, etc.)
  `ProgramLocation`
  `getProgramLocation()`

  ### Methods inherited from class ghidra.features.base.replace.items.CompositeFieldQuickFix

  `editComposite, findComponent, getAddress, getComponentByOrdinal, getCustomToolTipData, getPath, navigateSpecial`

  ### Methods inherited from class ghidra.features.base.quickfix.QuickFix

  `getCurrent, getOriginal, getPreview, getStatus, getStatusMessage, performAction, refresh, setStatus, setStatus, statusChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateFieldCommentQuickFix

    public UpdateFieldCommentQuickFix(Program program, Composite composite, String fieldName, int ordinal, String original, String newComment)
    Constructor
    Parameters:
      `program` - the program containing the enum value whose comment is to be updated
      `composite` - the structure or union whose field comment is to be changed
      `fieldName` - the field name whose comment is to be changed
      `ordinal` - the ordinal of the field being renamed with its containing composite
      `original` - the original comment of the field
      `newComment` - the new comment for the field

- ## Method Details

  - ### getActionName

    public String getActionName()
    Description copied from class: `QuickFix`
    Returns the general name of the action to be performed.
    Specified by:
      `getActionName` in class `QuickFix`
    Returns:
      the general name of the action to be performed

  - ### getItemType

    public String getItemType()
    Description copied from class: `QuickFix`
    Returns the type of program element being affected (function, label, comment, etc.)
    Specified by:
      `getItemType` in class `QuickFix`
    Returns:
      the type of program element being affected

  - ### doGetCurrent

    public String doGetCurrent()
    Description copied from class: `QuickFix`
    Returns the current value of the item.
    Specified by:
      `doGetCurrent` in class `QuickFix`
    Returns:
      the current value of the item

  - ### execute

    public void execute()
    Description copied from class: `QuickFix`
    Executes the action.
    Specified by:
      `execute` in class `QuickFix`

  - ### getProgramLocation

    public ProgramLocation getProgramLocation()
    Specified by:
      `getProgramLocation` in class `QuickFix`

  - ### getFieldName

    protected String getFieldName()
    Specified by:
      `getFieldName` in class `CompositeFieldQuickFix`